This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165035 - libgcj upgrade does not remove jaxp_parser_impl alternative
libgcj upgrade does not remove jaxp_parser_impl alternative
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 14:55 EDT by Ian Pilcher
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 16:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2005-08-03 14:55:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
When libgcj is upgraded from 4.0.0 to 4.0.1, the jaxp_parser_impl alternative
is not updated properly.  The 4.0.0 version is not removed.

Version-Release number of selected component (if applicable):
libgcj-4.0.1-4.fc4

How reproducible:
Always

Steps to Reproduce:
1.  Upgrade a FC4 system from libgcj-4.0.0 to 4.0.1.
2.  alternatives --display jaxp_parser_impl
3.  The alternative for /usr/share/java/libgcj-4.0.0.jar is still present.  If
    xerces-j2 isn't installed it will be selected, and the jaxp_parser_impl
    symlink in /etc/alternatives will be broken.
  

Actual Results:  Both /usr/share/java/libgcj-4.0.0.jar and /usr/share/java/libgcj-4.0.1.jar
are shown.  Version 4.0.0 is selected.

Expected Results:  4.0.0 should have been removed, and 4.0.1 should have been selected.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.